Bug 189122 - --disconnected should skip RHN Registration
--disconnected should skip RHN Registration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Corey Welton
:
Depends On:
Blocks: 171660
  Show dependency treegraph
 
Reported: 2006-04-17 11:24 EDT by Matthew Davis
Modified: 2007-08-06 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 15:14:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2006-04-17 11:24:35 EDT
Description of problem:
If installed using the --disconnected option, it should skip the RHN
Registration ckecks.

Version-Release number of selected component (if applicable):
Using rhn-satellite-4.1.0-69-redhat-linux-as-i386-4-embedded-oracle.iso

How reproducible:
Everytime

[root@testsat cdrom]# ./install.pl --answer-file=/tmp/answers.txt --disconnected
* Loading answer file: /tmp/answers.txt.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
Admin Email Address? mdavis@redhat.com
* RHN Registration.
** Registration: System is already registered with RHN.  Not re-registering.

Should have skipped the last 2 lines.
Comment 1 Robin Norwood 2006-04-17 15:05:56 EDT
Fixed in SVN.

Testing notes:

o Follow the steps shown in the original comment.
o No real change in functionality, just a messaging fix - ie, don't show the '**
Registration' line show above if in disconnected mode.
Comment 2 Corey Welton 2006-05-02 15:52:47 EDT
QA Verify that:
 * '--disconnected' flag means installer doesn't try to register
 * Installer continues to run normally.
Comment 3 Beth Nackashi 2006-07-19 15:14:26 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.